@ECHO OFF
TITLE Testing Network Latency And Route...
ECHO Please be patient - this will take a few minutes to complete...

@REM If running as administrator, need to set working dir
CD /d %~dp0

@REM===============
@REM If 32-bit, set the 32-bit Program Files Variable
IF %PROCESSOR_ARCHITECTURE%==x86 SET ProgramFiles(x86)=C:\Program Files
@REM Now you have all 32 vs 64 bit variables: ProgramFiles(x86), ProgramFiles
@REM===============

SET FILE=Results_%COMPUTERNAME%.txt
ECHO Computer Running Test Is: %COMPUTERNAME% >> %FILE%
SET time_hh=%time:~0,2%
IF %time_hh% lss 10 (SET time_hh=0%time:~1,1%)
SET time_mn=%time:~3,2%
SET time_ss=%time:~6,2%
SET time_ms=%time:~9,2%
ECHO. >> %FILE%
DATE /t >> %FILE%
ECHO %time_hh%:%time_mn%:%time_ss%.%time_ms% >> %FILE%
ECHO. >> %FILE%
PING 192.168.140.103 -n 20 >> %FILE%
PING 208.75.2.61 -n 20 >> %FILE%
TRACERT 208.75.2.61 >> %FILE%
PING 208.75.0.3 -n 20 >> %FILE%
TRACERT 208.75.0.3 >> %FILE%
NSLOOKUP myip.opendns.com resolver1.opendns.com >> %FILE%
ECHO.
ECHO Done! Please email this file back to Caliber: %~dp0Results_%COMPUTERNAME%.txt
PAUSE
